Act on a task
curl --request POST \
--url https://api.eka.care/protocol/workflow/tasks/{id} \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.eka.care/protocol/workflow/tasks/{id}"
payload = { "note": "<string>" }
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.eka.care/protocol/workflow/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/tasks/{id}"
payload := strings.NewReader("{\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eka.care/protocol/workflow/tasks/{id}")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"scope": {
"type": "ADMISSION",
"id": "<string>"
},
"type": "<string>",
"status": "IN_PROGRESS",
"meta": {
"form_kind": "SA",
"sa_id": "<string>",
"template_id": "<string>"
},
"title": "<string>",
"description": "<string>",
"payload": {},
"requiredness": "MANDATORY",
"blocking": true,
"audience_keys": [
"<string>"
],
"estimate": "<string>",
"escalation": {
"after": "<string>",
"audience_keys": [
"<string>"
],
"title": "<string>"
},
"task_id": "<string>",
"bid": "<string>",
"assignee": "<string>",
"assignee_name": "<string>",
"source": {
"kind": "SYSTEM",
"event_id": "<string>",
"event_name": "<string>",
"fired_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"rule_id": "<string>",
"rule_version": 123,
"run_id": "<string>",
"index": 123,
"iteration": 123
},
"parent_task_id": "<string>",
"child_task_ids": [
"<string>"
],
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"due_at": "<string>",
"scheduled_at": "<string>",
"last_action": {
"action": "COMPLETED",
"at": "<string>",
"by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
}
},
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Tasks
Act on a task
One action per call: claim, release, complete or cancel, with an optional note for the timeline. An action the task is not in a state for returns 409.
POST
/
protocol
/
workflow
/
tasks
/
{id}
Act on a task
curl --request POST \
--url https://api.eka.care/protocol/workflow/tasks/{id} \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://api.eka.care/protocol/workflow/tasks/{id}"
payload = { "note": "<string>" }
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://api.eka.care/protocol/workflow/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/tasks/{id}"
payload := strings.NewReader("{\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eka.care/protocol/workflow/tasks/{id}")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"scope": {
"type": "ADMISSION",
"id": "<string>"
},
"type": "<string>",
"status": "IN_PROGRESS",
"meta": {
"form_kind": "SA",
"sa_id": "<string>",
"template_id": "<string>"
},
"title": "<string>",
"description": "<string>",
"payload": {},
"requiredness": "MANDATORY",
"blocking": true,
"audience_keys": [
"<string>"
],
"estimate": "<string>",
"escalation": {
"after": "<string>",
"audience_keys": [
"<string>"
],
"title": "<string>"
},
"task_id": "<string>",
"bid": "<string>",
"assignee": "<string>",
"assignee_name": "<string>",
"source": {
"kind": "SYSTEM",
"event_id": "<string>",
"event_name": "<string>",
"fired_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"rule_id": "<string>",
"rule_version": 123,
"run_id": "<string>",
"index": 123,
"iteration": 123
},
"parent_task_id": "<string>",
"child_task_ids": [
"<string>"
],
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"due_at": "<string>",
"scheduled_at": "<string>",
"last_action": {
"action": "COMPLETED",
"at": "<string>",
"by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
}
},
"started_at": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Headers
The access token. The gateway verifies it and passes the user and the business on.
Path Parameters
Minimum string length:
1Body
application/json
Was this page helpful?

